.center-2-result {
  align-items: center;
  display: flex;
  flex-direction: column;
  margin: auto;
  width: 50%;
}

.page-body-result .inputs {
  align-items: center;
  display: flex;
  flex-direction: column;
}

.modal-content {
  background-color: #fff0;
}

.modal-sm {
  max-width: 100px;
}

.gender input#gender-male, .gender input#gender-female, input#customerType-company, input#customerType-privateCustomer {
  right: auto;
}

.gender, .CustomerType {
  display: flex;
}

label.forcheckbox {
  display: flex;
  justify-content: space-between;
  width: 100px;
}

.gender .text-label, .CustomerType .text-label {
  margin-right: 20%;
}

.gender label.forcheckbox, .CustomerType label.forcheckbox {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
}

.gender span {
    margin-left: 0 !important;
    width: 100px;
    display: inline-block;
}

.inputs.CustomerType {
  display: flex;
  flex-direction: column;
}
.date-and-gender {
    display: flex;
    width: 100%;
    justify-content: space-between;
}

.date-and-gender .inputs {
    margin: 0;
    right: 0;
    float: right;
    text-align: right;
     width: 45%; 
    align-content: start;
}

    .page.registration-page .form-fields {
        display: flex;
        flex-direction: column;
        width: 100%;
        align-items: flex-start;
        gap: 20px;
    }

input#Newsletter label {
  width: 300px;
}

.ModelResult {
  font-size: 1.3rem;
  font-weight: bold;
}

input#termsofservice {
  width: 16px;
  height: 16px;
  right: 0;
  right: inherit;
  position: relative;
}

.Register_form .fieldset .title {
  height: 40px;
}

.form-fields_1 .inputs input[type="text"], .form-fields_2 .inputs input[type="text"] {
  border-radius: 3px;
  color: #8c8c8c;
  height: 38px;
  vertical-align: middle;
  width: 100%;
}

.page .registration-page .topic-block-body {
  font-size: 18px !important;
  font-weight: bold;
}

.topic-block-body p {
  color: black;
  font-size: 16px;
  font-weight: 400;
  text-decoration: none;
}

::-ms-reveal {
  display: none;
}

.external-authentication button.login-with-google:after {
  content: url('../../images/samples/google.svg');
}

.login-with-social-media a.login-with-facebook:after {
  content: url('../../images/samples/facebook-color.svg');
  height: 20px;
}

.login-with-social-media .facebook-btn {
  background-image: none !important;
  width: auto;
  display: flex;
  align-items: flex-end;
}

.facebook-login-block {
  border: 1px solid #0062cc;
  border-radius: 0.25rem;
}

.login-with-social-media button.btn.btn-primary:hover {
  background-color: white;
}

.login-with-social-media a.login-with-facebook {
  border: 1px solid #007bff;
  background-color: #f9f9f9;
  color: black;
  display: flex;
  gap: 10px;
  justify-content: center;
  align-items: center;
  margin-bottom: 5%;

}

span.facebook-btn {
  height: auto;
}

button.login-with-google {
  border: 1px solid #007bff;
  display: flex;
  justify-content: center;
  gap: 10px;
}

a.login-with-facebook, button.login-with-google {
  padding: 5% 0 !important;
 margin-top: 0 !important;
}

.login-with-social-media .title {
  display: none;
}

.login-with-social-media .facebook-btn {
  gap: 10px;
  white-space: nowrap;
}
.city .select2-container--default[dir="rtl"] .select2-selection--single .select2-selection__arrow {
    display: none;
}
.city .select2-container--default .select2-selection--single {
    background-color: #fff;
    border: 0px solid #aaa;
    border-radius: 0px;
}
.city span#select2-CityId-container {
    font-size: 15px;
    height: 45px;
    line-height: 45px;
    color: #8c8c8c;
    border-radius: 3px;
    width: 100%;
    vertical-align: middle;
    border: 1px solid #b3b3b3;
}

  @media (min-width: 1024px) {
    .external-authentication {
      width: 60%;
    }

    .login-with-social-media {
        display: flex;
        justify-content: center;
        width: 100%;
        grid-gap: 20px;
        margin-top: 5%;
        margin-bottom: 7%;
    }

  .returning-wrapper.fieldset {
    margin: 0;
  }

  .registration-page .form-fields {
    width: 100%;
  }

  .fieldset-YourAddress .form-fields {
    color: #444;
    display: flex;
    flex-direction: column;
    font-size: 13px;
    line-height: 1;
    pointer-events: none;
    position: relative;
    width: 100%;
  }

  .form-row {
    display: flex;
    display: -ms-flexbox;
    display: -webkit-box;
    flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    margin-left: 0;
    margin-right: 0;
  }

    .form-row .Activity {
      display: flex;
      flex-direction: row;
      flex-wrap: nowrap;
      grid-row-gap: 15px 5px;
      -ms-flex-wrap: wrap;
      margin: 10px 0 0;
      margin-left: 0;
      margin-right: 0;
    }

  .save-activity-button {
    margin-left: 0 !important;
  }

  .form-row .form-fields .enteranceInput {
    margin: 0;
  }

  .form-row .form-group {
    margin: 0;
  }
}

@media (min-width: 700px) {
  .login-page .new-wrapper {
    border: 1px solid #eee;
    border-radius: 3px;
    margin: 0 auto 30px;
    width: 50%;
  }

  .returning-wrapper .fieldset {
    margin: 0;
    width: 50%;
  }
}

@media (min-width: 1024px) {
  .login-with-social-media button.btn.btn-primary, .login-with-social-media .facebook-login-block {
    color: black;
    display: flex;
    gap: 10px;
    justify-content: center;
    align-items: center;
    padding: 7%;
    height: 90px;
    margin-bottom: 5%;
  }
  .cityAndStreet .required {
    position: absolute;
  }

  .login-page .customer-blocks {
    display: flex;
    flex-direction: row-reverse;
    grid-row-gap: 20px;
    margin: 0 0 50px;
  }

  .login-page .customer-blocks {
    align-items: stretch;
    display: flex;
    flex-direction: column;
    margin: auto;
    width: 70%;
  }

  .login-page .title strong {
    color: black;
    font-size: 35px;
    font-weight: bold;
  }

  .login-page .title {
    background-color: white;
    margin-top: 5%;
  }

  .login-page .new-wrapper {
    float: left;
    max-width: none;
    min-height: 80px;
    position: relative;
    width: 49%;
    z-index: 1;
  }

  .login-page .text {
    min-height: 0;
  }
}

.Register_form {
  margin: auto;
  width: 80%;
}

input.login-button-link, input.register-button-link {
  font-weight: bold;
}

input.register-button-link.login-mobile {
  text-decoration: none;
}

.registration-page .buttons {
  margin-bottom: 0;
  padding: 0;
}

.form-fields_email .inputs {
  margin-top: 0;
}

.section_companyName .inputs > .required {
  position: absolute;
  top: 0;
}

.inputs.confirm-password .required, .inputs.password-error .required {
  position: absolute;
  top: 0;
  left: 0;
}

.new-wrapper.register-block .text:before {
  display: none;
}

.login-page .new-wrapper {
  border: 0 solid #eee;
  border-radius: 3px;
  margin: 0 auto 30px;
  width: 100%;
}

.new-wrapper.register-block.not-have-account .text {
    padding: 0;
}

.returning-wrapper .fieldset .button-1 .login-button {
    border: none;
    color: #fff;
    font-size: 18px;
    font-weight: bold;
    height: 38px;
    padding: 0 25px;
    text-transform: uppercase;
    transition: all .2s ease;
    width: 100%;
}

.returning-wrapper .fieldset {
  margin: 0;
}

.login-button-link, .register-button-link {
  background-color: transparent;
  border: none;
  padding: 0;
  text-decoration: underline;
}

.forgot-password a {
  color: black;
  font-size: 12px;
  font-weight: normal;
  text-decoration: underline;
}

.forgot-password {
  text-align: left;
}

.form-login-by-email .inputs.reversed {
  display: flex !important;
  align-items: center;
  flex-direction: row !important;
  justify-content: space-between;
  width: 100%;
}

.login-page .inputs.reversed label {
  color: black;
  font-size: 12px;
  line-height: 17px;
}

.inputs input[type="text"] {
  color: black;
}

.registration-page {
  border: 1px #b0b0b0 solid;
}

.page.registration-page .page-body {
  background: #FFFFFF 0 no-repeat padding-box;
  box-shadow: 0 3px 6px #00000029;
}

.customer-blocks .inputs.reversed {
  width: 90%;
  margin: auto;
  margin-top: 5%;
}

  @media screen and (max-width: 1300px) and (min-width: 500px) {
    .registration-page .title {
      background-color: #0e3c70;
      border-radius: 3px 3px 0 0;
      font-size: 18px;
      margin: 0;
      padding: 18px;
      padding-bottom: 4%;
      padding-top: 2%;
      text-align: center;
    }

    .returning-wrapper .fieldset form {
      padding: 0;
    }

    .registration-page {
      margin-bottom: 0;
      margin-top: 11%;
    }

    .page.registration-page .page-title {
      color: black;
      font-size: 35px;
      font-weight: 600;
      margin-top: 4%;
      text-align: center;
    }
  }

  @media (max-width: 1024px) {
    .new-wrapper.register-block.not-have-account .text {
      text-align: center;
    }

    .gender, .CustomerType {
      gap: 30px;
    }

    .login-with-social-media a.login-with-facebook {
      width: auto;
    }

    input.button-1.login-button {
      margin: auto;
      display: flex;
    }

    .external-authentication {
      width: 200px;
    }   

    .login-with-social-media {
      display: flex;
      flex-direction: column;
      align-items: center;
      margin-top: 5%;
    }
    }

    .number-code {
      margin: 0 4%
    }

    #section_companyName {
      display: flex;
      flex-direction: column;
    }

.company-name-out {
    display: grid;
    grid-template-columns: 50% 50%;
    width: 95%;
    row-gap: 7%;
    column-gap: 5%;
}
/*.inputs.Identity {
      order: 2;
    }

    .inputs.companyDiv {
      order: 1;
    }*/
.inputs.FirastName {
    /*order: 3;*/
    margin-top: 0;
}

    .inputs.LastName {
      /*order: 4;*/
      margin-top: 0;
    }

    .login-page .returning-wrapper form {
      border: 0;
      box-shadow: none;
      margin-top: 5%;
    }

    .login-page .title strong {
      color: black;
      font-size: 22px;
      font-weight: bold;
    }

    returning-wrapper .form-fields {
      padding: 0 20px 20px;
    }

    .page.registration-page, .login-page .title {
      background-color: white;
      margin-top: 5%;
    }

    .form-fields_Password .form-fields {
      width: 200%;
    }

.customer-blocks .inputs.reversed {
  height: 40px;
}

#register-button {
  background-color: #f79132;
  width: 100%;
}

    .registration-page {
      border: 0 !important;
      margin-bottom: 0;
      max-width: none;
    }

      .registration-page .title {
        background-color: #0e3c70;
        border-radius: 3px 3px 0 0;
        font-size: 18px;
        margin: 0;
        padding: 18px;
        text-align: center;
      }

    .page.registration-page {
      width: 100%;
    }

      .page.registration-page .page-title {
        font-size: 22px;
        font-weight: 600;
        margin-top: 2%;
        text-align: center;
      }

    .section_companyName {
      display: flex;
      flex-direction: column;
      width: 100%;
    }

    .numbersSMS {
      font-size: 13px;
      margin-bottom: 5%;
    }

    .field-validation-error {
      color: #ff4f60;
      display: block;
      font-size: 13px;
      font-weight: 700;
      margin: 2px 0 0;
      text-align: right;
      white-space: normal;
    }

    .returning-wrapper .fieldset {
      margin: 0;
      width: 100%;
    }

      .returning-wrapper.fieldset form {
        padding-left: 0;
        padding-right: 0;
      }

    #flex {
      display: flex;
      flex-direction: column;
    }

    #a {
      order: 2;
    }

    #b {
      order: 1;
    }

    #c {
      order: 3;
    }


    .returning-wrapper .fieldset form {
      padding: 0;
    }

    .field-validation-valid {
      font-size: 10px;
      white-space: normal;
    }

    .form-fields_email, .form-fields_Password, .cityAndStreet {
      gap: 15px;
      display: flex;
      flex-direction: column;
      width: 100%;
    }
  }

html.html-registration-page.k-safari.k-safari603.k-mobile .ui-dialog {
  box-shadow: rgba(13, 13, 13, 0.1) 0 0.25rem 0.375rem 0;
  height: auto !important;
  left: auto;
  max-width: 95%;
  position: fixed !important;
  right: auto;
  top: 100px !important;
  z-index: 20000;
}

html.html-registration-page.k-safari.k-safari603.k-mobile .ui-dialog-content .page-title {
  color: #8c8c8c;
  font-size: 15px;
  text-align: center;
  text-transform: uppercase;
}

html.html-registration-page.k-safari.k-safari603.k-mobile .terms-of-service {
  background-color: white;
  border-radius: 0;
  margin: 0;
  padding: 0;
  text-align: right;
}

  html.html-registration-page.k-safari.k-safari603.k-mobile .terms-of-service input[type="checkbox"] + label {
    cursor: pointer;
    display: inline;
    font-size: 15px;
    font-weight: 300;
  }

.terms-of-service {
  background-color: transparent;
  border-radius: 2px;
  margin: 0 0 30px;
  margin-top: 5px;
  padding: 0;
}

.page-body .account-page .customer-message {
  font-size: 24px;
  font-weight: bold;
  margin: auto;
  margin-top: 15%;
  text-align: center;
  width: 50%;
}

.iconupdate iframe {
  border: 0 !important;
}

.customer-blocks .form-fields {
  display: flex;
  flex-direction: column;
  gap: 11px;
}


.select2-container--default .select2-selection--single .select2-selection__clear,
.cityAndStreet button.select2-selection__clear {
    height: 0 !important;
}

input:-webkit-autofill {
    animation-name: autofillAnimation;
    animation-duration: 0.1s;
}

@keyframes autofillAnimation {
    from {
        color: #000;
    }

    to {
        color: #000;
    }
}
